﻿using Syncfusion.Windows.Forms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ComboBoxList
{
    public partial class Form1 : MetroForm
    {   
        public Form1()
        {
            InitializeComponent();
            List<Country> CountryList = new List<Country>();

            CountryList.Add(new Country { Key = "India", Code = "123" });
            CountryList.Add(new Country { Key = "US", Code = "532" });
            CountryList.Add(new Country { Key = "UK", Code = "798" });
            CountryList.Add(new Country { Key = "China", Code = "951" });
          

            var cardTypes = CountryList.OrderBy(x => x.Key).ToList();

            comboBoxAdv1.DataSource = cardTypes;
            this.comboBoxAdv1.DisplayMember = "Key";

            this.comboBoxAdv1.SelectedItem = cardTypes[3];
        }

        private void comboBoxAdv1_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.listBox1.Items.Clear();
            this.listBox2.Items.Clear();
            //To get the ComboBoxAdv SelectedItem
            Country selectedCountry = comboBoxAdv1.SelectedItem as Country;
            if(selectedCountry !=null)
               this.listBox1.Items.Add(selectedCountry.Key); 

            this.listBox2.Items.Add(this.comboBoxAdv1.SelectedIndex.ToString());
        }
    }

    //Specifies the List
    public class Country
    {
       public string Key {get;set;}
       public string Code { get; set; }
    }
}
